Apache C++ Standard Library Reference Guide

## bad_typeid

Library: Language support

    bad_typeid  exception

- Local Index
- Summary
- Synopsis
- Description
- Interface
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

An exception class

### Synopsis

    #include <typeinfo>

### Description

Objects of class bad_typeid are thrown when typeid is called on a dereferenced null pointer. The class is derived from exception, and thrown by typeid and others.

### Interface

    namespace std {
      class bad_typeid : public exception {
      public:
        bad_typeid() throw();
        bad_typeid(const bad_typeid&) throw();
        bad_typeid& operator=(const bad_typeid&) throw();
        virtual ~bad_typeid() throw();
        virtual const char* what() const throw();
      };
    }

### See Also

Exceptions, bad_alloc, bad_cast, bad_exception, domain_error, exception, invalid_argument, ios_base::failure, length_error, logic_error, out_of_range, overflow_error, range_error, runtime_error, underflow_error

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 18.5.3